/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.filled

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Filled.SwitchVideo: ImageVector
    get() {
        if (_switchVideo != null) {
            return _switchVideo!!
        }
        _switchVideo = materialIcon(name = "Filled.SwitchVideo") {
            materialPath {
                moveTo(18.0f, 9.5f)
                lineTo(18.0f, 6.0f)
                curveToRelative(0.0f, -0.55f, -0.45f, -1.0f, -1.0f, -1.0f)
                lineTo(3.0f, 5.0f)
                curveToRelative(-0.55f, 0.0f, -1.0f, 0.45f, -1.0f, 1.0f)
                verticalLineToRelative(12.0f)
                curveToRelative(0.0f, 0.55f, 0.45f, 1.0f, 1.0f, 1.0f)
                horizontalLineToRelative(14.0f)
                curveToRelative(0.55f, 0.0f, 1.0f, -0.45f, 1.0f, -1.0f)
                verticalLineToRelative(-3.5f)
                lineToRelative(4.0f, 4.0f)
                verticalLineToRelative(-13.0f)
                lineToRelative(-4.0f, 4.0f)
                close()
                moveTo(13.0f, 15.5f)
                lineTo(13.0f, 13.0f)
                lineTo(7.0f, 13.0f)
                verticalLineToRelative(2.5f)
                lineTo(3.5f, 12.0f)
                lineTo(7.0f, 8.5f)
                lineTo(7.0f, 11.0f)
                horizontalLineToRelative(6.0f)
                lineTo(13.0f, 8.5f)
                lineToRelative(3.5f, 3.5f)
                lineToRelative(-3.5f, 3.5f)
                close()
            }
        }
        return _switchVideo!!
    }

private var _switchVideo: ImageVector? = null
